1. We have added the ability to collapse/expand forum categories and widgets on forum home.
    Dismiss Notice
  2. All Civ avatars are brought back and available for selection in the Avatar Gallery! There are 945 avatars total.
    Dismiss Notice
  3. To make the site more secure, we have installed SSL certificates and enabled HTTPS for both the main site and forums.
    Dismiss Notice
  4. Civ6 is released! Order now! (Amazon US | Amazon UK | Amazon CA | Amazon DE | Amazon FR)
    Dismiss Notice
  5. Dismiss Notice
  6. Forum account upgrades are available for ad-free browsing.
    Dismiss Notice

FAQ: Civ4, Warlords and BtS on your Mac - in OS X or Windows

Discussion in 'Civ4 - Macintosh' started by AlanH, Dec 17, 2006.

  1. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
    Here is a thread for Frequently Asked Questions about the Aspyr-published Civ4 and Warlords products for Mac OS X. For completeness, it also includes questions about running Windows versions of the Civ4 software range on Mac hardware using Apple's Bootcamp, or using virtualization software such as Parallels Desktop or VMWare Fusion.

    I'll start it off with the questions I've seen most often. If I've missed a question (or got the answer wrong) then feel free to add it, and the answer, as a post in this thread, and I'll put a link to it here. I'm optimistically reserving a second post as a continuation of the index.

    The format for each FAQ post should be:

    Product: (Civ4, Warlords, BtS or All)

    Platform: (OS X, Windows, Parallels, Fusion ...)

    Question: ....

    Answer: ....

    If you have an unanswered question that you think others would also like answered then post it here as well. If it gets a definitive answer I'll consolidate it into a single post in the above format.

    Index

    [post=4887906]Post #3:[/post] What are the current versions of Civ4, Warlords and BtS for Mac OS X?

    [post=4887938]Post #4:[/post] OS X: How can I change display settings to switch between Windowed and Full Screen modes or to change window size or to choose the screen to use?

    [post=4887966]Post #5:[/post] OS X: Can I change other settings that are controlled by the CivilizationIV.ini file?

    [post=4887999]Post #6:[/post] OS X: Can I use mods that have been developed for the Windows version of the software?

    [post=4888027]Post #7:[/post] OS X: When I select Check for Updates it says there is a new version, and downloads a patch file. What should I do with this file?

    [post=4888722]Post #8:[/post] OS X: Can I play other users in Multiplayer mode?

    [post=5797263]Post #9:[/post] Windows: Can I run Civ4/Warlords/BtS... for Windows on a new Mac?

    [post=5897320]Post #10:[/post] Cross platform DirectIP: What versions of Civ IV Warlords should both platforms be running in order to play multiplayer?

    [post=6490861]Post #11:[/post] Why is there almost NO mods for mac? oh and is there anyplace there are more mods?

    [post=7105489]Post #13[/post] When will Beyond the Sword for Mac OS X be released ?

    [post=7745572]Post #15[/post] Why has Civ4 or Warlords (or Civ3 Complete) for Mac has stopped working? It just bounces in the dock, then ... nothing.

    [post=8371454]Post #18[/post] Can anyone confirm that the Mac version of BTS can play multiplayer direct IP with the current version of Windows BTS?

    [post=8487406]Post #20[/post] If I'm buying BTS, do I need Warlords first? Does BTS include all of the differences that Warlords brought?

    [post=8831800]Post #24[/post] Can I upgrade the version of Rhye's & Fall or The Road the War that was installed with Beyond the Sword? Can I install the Windows versions of these mods?

    [post=8938306]Post #33[/post] What can I do to fix problems with leader images?

    [post=9846455]Post #56[/post] I want to install mods into the application folder for the Steam version of the game. Where is the application folder?

    [post=9989099]Post #57[/post] How do I make screenshots in Mac OS X?

    [post=10226126]Post #61[/post] How can I play mods with more than 18 civs in the Mac versions?

    [post=10506317]Post #62[/post] Can I change the Save folder location? - The answer is N0.

    [post=11378916]Post #67[/post] I can not send an e-mail in PBEM games when I finish a turn, how can I fix it?

    Q ?? Can I run the BUG Mod in Mac BtS? - Yes. Note that the latest version of BUG [post=11228520]has to be edited.[/post]
     
  2. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
  3. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
    Product: All

    Platform: OS X

    Question:
    What are the current versions of Civ4, Warlords and BtS for Mac OS X?

    Answer:
    Civilization IV with the Rev C patch is at version 1.74 (52473a). This is the same as the current PC version 1.74.

    Warlords with the Rev C patch is at version 2.13 (63968a). This is the same as the current PC version 2.13.

    Beyond the Sword with the latest patch (Aug.25) is at version 3.19 (92131). This is the same as the current Windows version 3.19.

    The main version number corresponds with the Firaxis version number for the PC version. The numbers in brackets are Aspyr build numbers.

    [NOTE] See the Current Patches thread for links to patches, and tips on installing them.
     
  4. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
    Product: All

    Platform: OS X

    Question:
    How can I change display settings to switch between Windowed and Full Screen modes, or to change window size, or to choose the screen to use?

    Answer:
    A. Hold the Command (Apple) key down while launching Civ4 or Warlords to display a dialog box where you can set up the display configuration.

    ... or ...

    B. While the game software is running, at the main menu select Advanced, or in the game hit Escape. Then, select Options from the next menu, and click the Graphics tab. You can change resolution and switch Full Screen mode on or off in this panel. You can't use it to change screens on a multi-screen Mac.
     
  5. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
    Product: All

    Platform: OS X

    Question:
    Can I change other settings that are controlled by the CivilizationIV.ini file?

    Answer:
    Yes. This file is in ~/Documents/Civilization IV/, or ~/Documents/Civilization IV Warlords/, or ~/Documents/Beyond the Sword/ and there are lots of settings you can adjust by editing it using TextEdit or another plain text editor.
     
  6. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
    Product: All

    Platform: OS X

    Question:
    Can I use mods that have been developed for the Windows version of the software?

    Answer:
    Maybe. There are several reasons why a mod may not work on the Mac version.

    1. If a mod has been developed using the Windows Software Development Kit (SDK) to create a custom version of the game core DLL then it will not work as expected with the Mac version. There is currently no work around for this. We have to wait for Aspyr to create an SDK for the Mac version, and then recompile the mods to run in OS X. [Update: Brad Oliver of Aspyr has indicated that this capability is under development ].

    2. Some mods contain incorrectly formatted XML text files, which Windows will still read but OS X doesn't. It is usually possible to edit these files to make them work on the Mac. Search this forum for people who have already done this, or post a request for assistance if your favorite mod hasn't been converted.

    3. Some mods include Python code, and this may rely on the Windows Registry to find specific folders on the host computer. This code can be modified to work on the Mac.
     
  7. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
    Product: All

    Platform: OS X

    Question:
    When I select Check for Updates it says there is a new version and downloads a patch file. What should I do with this file?

    Answer:
    You can't use it. It is a Windows patch file, and will not work for the Mac version. You will have to use Aspyr's update for the Mac product, to vanilla v.1.74 or Warlords v.2.13 or BtS v3.19. You can find links for these in the sticky threads at the top of this forum list, or you can subscribe to Inside Mac Games to get a more direct notification.
     
  8. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
    Product: All

    Platform: OS X

    Question:
    Can I play other users in Multiplayer mode?

    Answer:
    Yes. You should be able to play Mac or Windows users by setting up a "Direct IP" connection to the computer that starts the game. You can also play by email, or use the Hotseat mode.

    To play Windows players you must use the same versions on both platforms. The latest versions of Civ4 and Warlords include GameSpy compatibility for cross-platform play via the GameSpy servers.

    You can use GameRanger to connect to other Mac users, or you can use Direct IP if you know the host computer's real IP address. For GameRanger, the host system may need to have port mapping set up to allow port #2056 through its firewall or Internet router.
     
  9. beetle

    beetle Chieftain

    Joined:
    Mar 19, 2004
    Messages:
    5,131
    Location:
    Frederick, MD
    Product: Civ4 for Windows (any version or module, include Warlords, Beyond the Sword, Gold, Chronicles, etc.)

    Platform: Windows XP or Vista, via OS X and Boot Camp

    Question: Can I run [fill the blank] on a new Mac?

    Answer: Yes!

    You will need [fill in the blank], a recent Windows install disc (post XP service pack 2 or later), and Boot Camp (free). Please reference the Apple resources for installing Boot Camp, and the Microsoft instructions that came with your XP or Vista disc for installing Windows.

    As an added bonus (should you have both versions of Civ4), you will find that the performance of Civ4 for Windows under Boot Camp out-performs Civ4 for Macintosh under OS X on the same machine. Please resist the temptation to tease us about that.

    Yes, this true for the “low end” Macs. This advise also holds for all models of the Intel based Macs, even the first generation ones.

    Moderator Action: There is a separate discussion on these option here
     
  10. NinjaSmurf

    NinjaSmurf Chieftain

    Joined:
    Jul 19, 2003
    Messages:
    13
    Location:
    SF,CA USA
    Product: All

    Platform: Mac OS X or Windows

    Question:
    ... from NinjaSmurf: greetings. when you say that you must play windows users with "the same version" does that mean you must be in bootcamp+xp+"same pc version of civ 4"? or can you run a mac version that is the same version number as the pc one? thanks in advance.

    ... and from rosynelson: Using a "Direct IP" connection between a Mac and Windows machine what versions of Civ IV Warlords should both platforms be running in order to play multiplayer?

    Answer: The Mac player(s) and the Windows player(s) must all have software at the same versions.

    Currently, most Windows players will have updated their Civ4 to version 1.73 and their Warlords to version 2.13. Mac players must have the same version of the corresponding software, whether they are playing the Mac software in OS X, or the Windows software in BootCamp or a Windows virtual machine. OS X BtS is currently version 3.17, so Mac OS X players will have to wait for a patch to version 3.19 in order to play against Windows players.
     
  11. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
    Product: All

    Platform: Mac OS X

    Question: Why are there almost NO mods for mac? oh and is there anyplace there are more mods?

    Answer: There are a lot of mods for Civ4, Warlords and BtS. Check out the Creation and Customization forums. They are almost universally created by Windows players because there are far fewer Civ4 players on Mac than on Windows. In addition, the tools for graphics modding are almost non-existent on the Mac, and there is no SDK for the Mac versions.

    In theory, mods should not be platform-specific. In a perfect world there would be the same number of mods for Mac as for Windows, and you wouldn't have to ask your question. In practice, every mod has to be tested with the Mac versions of Civ4 because they are often incompatible. The incompatibilities are typically:

    - Text encoding errors in the XML files, usually by foreign language translators

    - Use of Python calls that are not handled by the Mac - Windows registry calls, or v2.4 calls

    - Use of the SDK to create a custom CvGameCoreDLL.dll file that alters game rules. The CvGameCoreDLL code is integrated into the Mac versions, so they simply don't work with a custom dll ... yet. Aspyr are said to be working on this.

    We don't know how many of the mods that have been created are compatible with the Mac, because not many of them have been tested and reported here. That probably comes back to the fact that there are not many Mac Civ4 players. The compatible ones we do know about are reported in the other thread, where you posted about a mod that you have tested.
     
  12. MotezumaMan

    MotezumaMan Chieftain

    Joined:
    Feb 10, 2008
    Messages:
    169
    Location:
    The Moon
    whats [fill the blank?]

    Moderator Action: Answer: It's "any version or module, include Warlords, Beyond the Sword, Gold, Chronicles, etc."
     
  13. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
    Product: Beyond the Sword

    Platform: OS X

    Question:
    When will Beyond the Sword for Mac OS X be released?

    Answer:
    It's happened!

    Aspyr have now released a Mac OS X version of Beyond the Sword.

    Moderator Action: Discussion of this topic moved to the BTS Coming? thread
     
  14. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
    Moderator Action: CSA Mod discussion started here has moved to its own thread here
     
  15. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
    Product: Civ4 or Warlords (or even Civ3 Complete)

    Operating System: OS X

    Question: Why has it stopped working? It just bounces in the dock, then ... nothing.

    Answer: This appears to be related to the upgrade to QuickTime version 7.6 in January 2009. Various solutions have been posted here. They either involve reinstalling an earlier version of QuickTime, or the current version of QuickTIme, or reinstalling OS X using Archive/Install. At the time of this post, Aspyr are reported to be working with Apple to resolve the issue.

    UPDATED March 11, 2009 Aspyr fixed it. Get the latest update, linked here

    [UPDATED December 12, 2009. Aspyr now state that the problem has been resolved by Apple. Make sure you have updated to the most recent version of Quicktime
     
  16. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
    Moderator Action: This thread has been tidied up!

    I have split out some Windows-on-Mac discussion posts into their own thread here.

    I have removed some obsolete discussions relating to old versions of Civ4 and Warlords, and merged some posts to conform to the FAQ format.
     
  17. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
    Moderator Action: Updated this thread in light of the release of Beyond the Sword for OS X
     
  18. malitano

    malitano Chieftain

    Joined:
    Jun 12, 2008
    Messages:
    129
    Can anyone confirm that the Mac version of BTS can play multiplayer direct IP with the current version of Windows BTS? Thank you.
     
  19. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
    It's unlikely, as Mac BtS is currently at version 3.17, but Windows BtS is at version 3.19

    You should be able to now that Aspyr have released the v 3.19 update.
     
  20. AlanH

    AlanH Mac addict, php monkey Moderator Supporter GOTM Staff

    Joined:
    Jan 9, 2003
    Messages:
    28,684
    Gender:
    Male
    Location:
    England
    Product: Beyond the Sword

    Platform: Any

    Question: If I'm buying BTS, do I need Warlords first? Does BTS include all of the differences that Warlords brought?

    Answer: No, you don't need Warlords to install or run BtS.

    Yes, BtS includes the game play changes that were introduced in Warlords, but you don't get the scenarios that shipped with Warlords.
     

Share This Page